## org.jCharts.chartText
Class NumericTagGroup

    java.lang.Object
      org.jCharts.chartText.TextTagGroup
          org.jCharts.chartText.NumericTagGroup

All Implemented Interfaces:
  Serializable, HTMLTestable

    public class NumericTagGroup

extends TextTagGroup

See Also:
  Serialized Form

Field Summary
`private NumberFormat` `numberFormat`

Constructor Summary
`NumericTagGroup(ChartFont chartFont, FontRenderContext fontRenderContext, boolean isCurrency, boolean isPercent, boolean showCommas, int roundingPowerOfTen)`

Method Summary
`void` `addLabel(double value)`
`void` `createAxisScaleLabels(ScaleCalculator scaleCalculator)` Creates the axis labels for the passed ScaleCalculator instance.
`static NumberFormat` `getNumberFormatInstance(boolean isCurrency, boolean isPercent, boolean showCommas, int roundingPowerOfTen)` Allow use of this logic to not only this class but to the chart label values.

Methods inherited from class org.jCharts.chartText.TextTagGroup
`addLabel, getTallestLabel, getTextTag, getTotalLabelWidths, getWidestLabel, render, reverse, size, toHTML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### numberFormat

    private NumberFormat numberFormat

Constructor Detail

### NumericTagGroup

    public NumericTagGroup(ChartFont chartFont,
                           FontRenderContext fontRenderContext,
                           boolean isCurrency,
                           boolean isPercent,
                           boolean showCommas,
                           int roundingPowerOfTen)

Parameters:
  `chartFont` -
  `fontRenderContext` -
  `isCurrency` -
  `isPercent` -
  `showCommas` -
  `roundingPowerOfTen` - the exponent of ten to round to: 1=10, -1=.1, 3=1000, etc...

Method Detail

### getNumberFormatInstance

    public static final NumberFormat getNumberFormatInstance(boolean isCurrency,
                                                             boolean isPercent,
                                                             boolean showCommas,
                                                             int roundingPowerOfTen)

  Allow use of this logic to not only this class but to the chart label values.

  Parameters:
    `isCurrency` -
    `isPercent` -
    `showCommas` -
    `roundingPowerOfTen` -
  Returns:
    NumberFormat

### addLabel

    public void addLabel(double value)

  Parameters:
    `value` -

### createAxisScaleLabels

    public void createAxisScaleLabels(ScaleCalculator scaleCalculator)

  Creates the axis labels for the passed ScaleCalculator instance.

  Parameters:
    `scaleCalculator` -